package server.logic.ws_protocol.JSON.handlers.channels.entyties;

import server.logic.ws_protocol.JSON.entyties.Net_Request;

public class Net_GetGroupDialog_Request extends Net_Request {
    private String login;
    private GroupSelector group;

    public String getLogin() { return login; }
    public void setLogin(String login) { this.login = login; }
    public GroupSelector getGroup() { return group; }
    public void setGroup(GroupSelector group) { this.group = group; }

    public static class GroupSelector {
        private String ownerBlockchainName;
        private Integer channelRootBlockNumber;

        public String getOwnerBlockchainName() { return ownerBlockchainName; }
        public void setOwnerBlockchainName(String ownerBlockchainName) { this.ownerBlockchainName = ownerBlockchainName; }
        public Integer getChannelRootBlockNumber() { return channelRootBlockNumber; }
        public void setChannelRootBlockNumber(Integer channelRootBlockNumber) { this.channelRootBlockNumber = channelRootBlockNumber; }
    }
}

